New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Clips

Download a rendered clip, optionally re-encoded

POST
/api/v1/clips/projects/{project_id}/clips/{clip_id}/export

Path Parameters

project_id*Project Id
clip_id*Clip Id

Request Body

application/json
  1. body
container?Container

Output container

Default"mp4"
Value in"mp4""mov""mkv"
quality?Quality

original copies the stored clip with no re-encode

Default"original"
Value in"original""high""medium""small"
resolution?Resolution

Output width; original keeps the rendered size

Default"original"
Value in"original""1080""720"

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/clips/projects/string/clips/string/export' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null